pappso::PeptideMethioninRemove Class Reference

potential remove Nter Methionin More...

`#include <peptidemethioninremove.h>`

Inheritance diagram for pappso::PeptideMethioninRemove:

## Public Member Functions

| PeptideMethioninRemove (bool ism_isPotential)
virtual | ~PeptideMethioninRemove ()
void | setPeptide (std::int8_t sequence_database_id, const ProteinSp &protein_sp, bool is_decoy, const QString &peptide, unsigned int start, bool is_nter, unsigned int missed_cleavage_number, bool semi_enzyme) override
| function to give the products of a protein digestion by an enzyme More...
void | setSink (EnzymeProductInterface *sink) override

## Private Attributes

EnzymeProductInterface * | m_sink = nullptr
bool | m_isPotential = true

## Additional Inherited Members

## Detailed Description

potential remove Nter Methionin

Definition at line 34 of file peptidemethioninremove.h.

## Constructor & Destructor Documentation

## PeptideMethioninRemove()

pappso::PeptideMethioninRemove::PeptideMethioninRemove | ( | bool | ism_isPotential | ) |

Definition at line 27 of file peptidemethioninremove.cpp.

{
m_isPotential = ism_isPotential;
}
pappso::PeptideMethioninRemove::m_isPotential
bool m_isPotential
Definition: peptidemethioninremove.h:39

References m_isPotential.

## ~PeptideMethioninRemove()

pappso::PeptideMethioninRemove::~PeptideMethioninRemove | ( |  | ) |

virtual

Definition at line 32 of file peptidemethioninremove.cpp.

{
}

## Member Function Documentation

## setPeptide()

void pappso::PeptideMethioninRemove::setPeptide | ( | std::int8_t | sequence_database_id,
|  | const ProteinSp & | protein_sp,
|  | bool | is_decoy,
|  | const QString & | peptide,
|  | unsigned int | start,
|  | bool | is_nter,
|  | unsigned int | missed_cleavage_number,
|  | bool | semi_enzyme
| ) |  |

override virtual

function to give the products of a protein digestion by an enzyme

Parameters

  sequence_database_id | integer that references the sequence fatabase (file, stream, url...)
  protein_sp | shared pointer on the protein that was digested
  is_decoy | tell if the current protein is a decoy (true) or normal (false) protein
  peptide | amino acid sequence of the peptide (string) produced by the digestion
  start | the position of the first amino acid of the peptide in the original protein sequence. the first amino acid of the protein is at position 1.
  is_nter | boolean to tell if the peptide is an Nter peptide (to allow Methionin Nter removal)
  missed_cleavage_number | number of missed cleavage sites (that the enzyme has not cut) fot the product
  semi_enzyme | boolean that tells if this peptide is the produce of a semi enzymatic lysis

Implements pappso::EnzymeProductInterface.

Definition at line 37 of file peptidemethioninremove.cpp.

{
if(is_nter)
{
// Nter is often acetylated : MOD:00394
if(peptide[0] == 'M')
{
if(m_isPotential)
{
m_sink->setPeptide(sequence_database_id,
protein_sp,
is_decoy,
peptide,
start,
is_nter,
missed_cleavage_number,
semi_enzyme);
}
// peptide = peptide.right(peptide.size()-1);
m_sink->setPeptide(sequence_database_id,
protein_sp,
is_decoy,
peptide.right(peptide.size() - 1),
start + 1,
is_nter,
missed_cleavage_number,
semi_enzyme);
}
else
{
m_sink->setPeptide(sequence_database_id,
protein_sp,
is_decoy,
peptide,
start,
is_nter,
missed_cleavage_number,
semi_enzyme);
}
}
else
{
m_sink->setPeptide(sequence_database_id,
protein_sp,
is_decoy,
peptide,
start,
is_nter,
missed_cleavage_number,
semi_enzyme);
}
}
pappso::EnzymeProductInterface::setPeptide
virtual void setPeptide(std::int8_t sequence_database_id, const ProteinSp &protein_sp, bool is_decoy, const PeptideStr &peptide, unsigned int start, bool is_nter, unsigned int missed_cleavage_number, bool semi_enzyme)=0
function to give the products of a protein digestion by an enzyme
pappso::PeptideMethioninRemove::m_sink
EnzymeProductInterface * m_sink
Definition: peptidemethioninremove.h:38

References m_isPotential, m_sink, and pappso::EnzymeProductInterface::setPeptide().

## setSink()

void pappso::PeptideMethioninRemove::setSink | ( | EnzymeProductInterface * | sink | ) |

inline override virtual

Implements pappso::PeptideSinkInterface.

Definition at line 57 of file peptidemethioninremove.h.

{
m_sink = sink;
};

## Member Data Documentation

## m_isPotential

bool pappso::PeptideMethioninRemove::m_isPotential = true

private

Definition at line 39 of file peptidemethioninremove.h.

Referenced by PeptideMethioninRemove(), and setPeptide().

## m_sink

EnzymeProductInterface* pappso::PeptideMethioninRemove::m_sink = nullptr

private

Definition at line 38 of file peptidemethioninremove.h.

Referenced by setPeptide().

The documentation for this class was generated from the following files:

- pappsomspp/protein/peptidemethioninremove.h
- pappsomspp/protein/peptidemethioninremove.cpp